Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 23 Jul 2018, 08:08
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Nvidia drivers
Post new topic   Reply to topic View previous topic :: View next topic
Page 5 of 10 [141 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Next
Author Message
shinobar


Joined: 28 May 2009
Posts: 2664
Location: Japan

PostPosted: Mon 08 Jun 2015, 17:22    Post subject: GLX server fails  

In some case, the GL library fails. The nvidia-settings complains "Failed to query the GLX server vendor." for OpenGL/GLX Information (see the attached image).

SOLUTION:
1. Remove the links, /usr/lib/libGL.so and libGL.so.1.
2. Restart the X server.
nvidiaglinfo.png
 Description   nvidia-settings > OpenGL/GLX Information
 Filesize   3.98 KB
 Viewed   1150 Time(s)

nvidiaglinfo.png


_________________
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 3397
Location: Worcestershire, UK

PostPosted: Fri 12 Jun 2015, 03:55    Post subject: nvidia 304 driver for kernel 4?  

Hi

I am having problems making the 304.125 driver for kernel 4 with getnvidia.

I have tried various combinations of devx and kernel 4 versions but they all exhibit the same errors.

The errors produced by trying to make a 304.125 driver for vividpup + kernel 4.0.4-32-pae are attached below (remove false .gz).

Anybody tried this? Found any patches? (how do you apply patches to the .run file??)

Annybody know how to do the suggested:
Quote:
Run 'make oldconfig && make prepare' on kernel src to fix it.


Thanks
peebee
nvidia-installer.log.gz
Description  false .gz
gz

 Download 
Filename  nvidia-installer.log.gz 
Filesize  7.13 KB 
Downloaded  245 Time(s) 

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
666philb


Joined: 07 Feb 2010
Posts: 3177
Location: wales

PostPosted: Sat 13 Jun 2015, 03:20    Post subject:  

hi peebee, open a terminal in /usr/src/linux and try running that command
_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 3397
Location: Worcestershire, UK

PostPosted: Sat 13 Jun 2015, 12:22    Post subject: Nvidia 304 driver for k4  

see later post below
_________________
LxPup = Puppy + LXDE

Last edited by peebee on Sun 06 Sep 2015, 03:15; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 3397
Location: Worcestershire, UK

PostPosted: Thu 03 Sep 2015, 02:15    Post subject: nvidia 304.128  

Looks like nvidia driver 304.128 is now available:

ftp://download.nvidia.com/XFree86/Linux-x86/304.128/

I'll try later to build on kernel 4....

[6-sep-15] Update: Yep - success - built AOK for k4.0.4-tahr_PAE-32-pae in LxPup15.06

Also AOK for k4.1.6-EmSee-32-pae
nvidia-416.png
 Description   
 Filesize   137.42 KB
 Viewed   806 Time(s)

nvidia-416.png

nvidia304-128.png
 Description   
 Filesize   137.26 KB
 Viewed   845 Time(s)

nvidia304-128.png


_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 3397
Location: Worcestershire, UK

PostPosted: Sun 06 Sep 2015, 11:32    Post subject: Recent nvidia updates  

There have been other recent updates besides 304.128 on ftp://download.nvidia.com/XFree86/Linux-x86/

e.g.
340.93
346.96
352.41
355.11

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
Argolance


Joined: 06 Jan 2008
Posts: 3256
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Thu 22 Oct 2015, 07:19    Post subject:  

Bonjour,
I am running Puppy Precise 5.7.1 with kernel 3.9.11.
I tried to use getnividia to build a 340.93 NVIDIA driver SFS file.
I loaded the devx, downloaded/loaded the "kernel_src-3.9.11-patched.sfs" from BK repository, installed getnvidia and so on. Unfortunately, getnvidia says that my kernel source package does not match with the running kernel. Shocked
What's wrong?
Thank you for your attention.

Corldialement.
151022_130333_440x320_easyshot.jpg
 Description   
 Filesize   27.81 KB
 Viewed   4605 Time(s)

151022_130333_440x320_easyshot.jpg


_________________

Back to top
View user's profile Send private message Visit poster's website 
Argolance


Joined: 06 Jan 2008
Posts: 3256
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Thu 22 Oct 2015, 11:04    Post subject:  

Sorry! The "kernel_src-3.9.11-patched.sfs" was in the list of mounted sfs, but only queued and not really loaded: this is why getnvidia displayed the error message. As this may happen to "unexperimented" users like me, I do not delete my message...
Thank you to shinobar for getnvidia which is really amazing and did the work perfectly.

Cordialement.

_________________

Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 3397
Location: Worcestershire, UK

PostPosted: Wed 23 Dec 2015, 10:41    Post subject: Nvidia driver building for kernel 4.3+  

Heads up!

With kernels 4.3 onwards, if the kernel is configured:
Code:
CONFIG_MODULE_SIG=y
CONFIG_MODULE_SIG_ALL=y
CONFIG_MODULE_SIG_SHA1=y
CONFIG_MODULE_SIG_HASH="sha1"

any new modules compiled for that kernel will need to be cryptographically signed using utility /usr/src/linux/scripts/sign-file
found in the kernel-sources.

GetNvidia will need to be updated to include signing if nvidia drivers are to continue working on kernels 4.3 onwards.

For example, nvidia-304.131 fails to build for stemsee's kernel 4.3.2 because module loading fails because the module is not signed.

(there is a futher problem with stemsee's 4.3.2 that sign-file does not work due to some problem with missing version information for libcrypto).

Cheers
peebee

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
rufwoof

Joined: 24 Feb 2014
Posts: 2395

PostPosted: Fri 01 Jan 2016, 21:25    Post subject: Re: Nvidia driver building for kernel 4.3+  

peebee wrote:
Heads up!

With kernels 4.3 onwards, if the kernel is configured:
Code:
CONFIG_MODULE_SIG=y
CONFIG_MODULE_SIG_ALL=y
CONFIG_MODULE_SIG_SHA1=y
CONFIG_MODULE_SIG_HASH="sha1"

any new modules compiled for that kernel will need to be cryptographically signed using utility /usr/src/linux/scripts/sign-file
found in the kernel-sources.

GetNvidia will need to be updated to include signing if nvidia drivers are to continue working on kernels 4.3 onwards.

For example, nvidia-304.131 fails to build for stemsee's kernel 4.3.2 because module loading fails because the module is not signed.

(there is a futher problem with stemsee's 4.3.2 that sign-file does not work due to some problem with missing version information for libcrypto).

Cheers
peebee

I'm running Tahr 6.0.5 with Stemsee's 4.3.2 32bit pae kernel and downloaded/compiled NVIDIA-Linux-x86-340.96.run OK and its apparently working fine with my 8600GT nvidia graphics card (I used Shinobar's getnvidia-1.0.pet to perform the compile).

Looking at the DotConfig the configuration matches what you posted above.

Don't really know what I'm doing, just follow the instructions - but from my perspective it all looks fine !!??

_________________
( ͡° ͜ʖ ͡°) :wq
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 3397
Location: Worcestershire, UK

PostPosted: Sat 02 Jan 2016, 03:28    Post subject: Re: Nvidia driver building for kernel 4.3+  

rufwoof wrote:
compiled NVIDIA-Linux-x86-340.96.run OK and its apparently working fine with my 8600GT nvidia graphics card (I used Shinobar's getnvidia-1.0.pet to perform the compile).
from my perspective it all looks fine !!??

Perhaps different versions - mine older 304.131 - yours 340.96 build differently??

Can you do - modinfo nvidia
in a terminal and see if your driver is signed?

Thanks
peebee

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
rufwoof

Joined: 24 Feb 2014
Posts: 2395

PostPosted: Sat 02 Jan 2016, 06:22    Post subject: Re: Nvidia driver building for kernel 4.3+  

peebee wrote:
Can you do - modinfo nvidia
in a terminal and see if your driver is signed?

Hi peebee. Don't think it is. I see Licence nvidia ???
modinfo.jpg
 Description   
 Filesize   57.04 KB
 Viewed   4385 Time(s)

modinfo.jpg


_________________
( ͡° ͜ʖ ͡°) :wq
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 3397
Location: Worcestershire, UK

PostPosted: Sat 02 Jan 2016, 08:29    Post subject: Re: Nvidia driver building for kernel 4.3+  

rufwoof wrote:
peebee wrote:
Can you do - modinfo nvidia
in a terminal and see if your driver is signed?

Hi peebee. Don't think it is. I see Licence nvidia ???

Thanks rufwoof

I'm trying to compile 304.131 drivers for slackocurrent (based on slackware current) however the same error occurs for both tahrpup-6.0.5 and slacko-6.3.0

Nvidia Drivers build no problem for k4.1.11 from 01micko and k4.2.5 from stemsee.

But with k4.3.2 from stemsee I get:
Quote:
ERROR: Unable to load the kernel module.
ERROR: Installation has failed.
nvidia: module license 'NVIDIA' taints kernel.
nvidia: module verification failed: signature and/or required key missing - tainting kernel


More investigation is needed....

This link has useful info about module signing:
https://wiki.gentoo.org/wiki/Signed_kernel_module_support

Cheers
peebee

_________________
LxPup = Puppy + LXDE

Last edited by peebee on Sat 02 Jan 2016, 13:05; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website 
rufwoof

Joined: 24 Feb 2014
Posts: 2395

PostPosted: Sat 02 Jan 2016, 12:08    Post subject:  

Don't know if it has any bearing, but for reference I used the devx from Tahr 6.0.5 - and the kernel source, zdrv, vmlinuz from emsee 4.3.2 (and I appended the Tahr 6.0.5 ID (from DISTRO_SPECS) to zdrv and vmlinuz)
_________________
( ͡° ͜ʖ ͡°) :wq
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 3397
Location: Worcestershire, UK

PostPosted: Sat 02 Jan 2016, 12:33    Post subject:  

rufwoof wrote:
Don't know if it has any bearing, but for reference I used the devx from Tahr 6.0.5 - and the kernel source, zdrv, vmlinuz from emsee 4.3.2 (and I appended the Tahr 6.0.5 ID (from DISTRO_SPECS) to zdrv and vmlinuz)

I get the same error message with both slacko-6.3.0 and tahrpup-6.0.5 with k4.3.2 so its not the devx that's the problem after all....this is trying to build the 304.131 driver....

_________________
LxPup = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 5 of 10 [141 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Drivers
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.2407s ][ Queries: 12 (0.0299s) ][ GZIP on ]